Bug 217446 - xorg not setting mtrr
xorg not setting mtrr
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
5
i686 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-27 17:36 EST by Philip Walden
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-12 10:33:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 5801 None None None Never

  None (edit)
Description Philip Walden 2006-11-27 17:36:18 EST
Description of problem:
xorg 7.0.1 does not set MTRR automatically.
see: https://bugs.freedesktop.org/show_bug.cgi?id=5801
I am still seeing this problem in my FC5 xorg 7.0.1

Version-Release number of selected component (if applicable):
7.0.1
How reproducible:
always

Steps to Reproduce:
1. cat /proc/mtrr to see that AGP videoram mtrr is not being set.

  
Actual results:
reg00: base=0x00100000 (   1MB), size= 256MB: write-back, count=1


Expected results:
reg00: base=0x00100000 (   1MB), size= 256MB: write-back, count=1
reg01: base=0xfc000000 (4032MB), size=  16MB: write-combining, count=1


Additional info:

Note You need to log in before you can comment on or make changes to this bug.